.cell {
    transition: all 0.3s ease;
    aspect-ratio: 1/1;
    min-width: 30px;
}

.cell:hover {
    transform: scale(1.05);
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
}

.border-green-400 {
    border-color: #4ade80;
}

.grid-cols-11>div {
    aspect-ratio: 1/1;
    min-width: 30px;
}

.pulse {
    animation: pulse 2s infinite;
}

.difficulty-btn {
    padding: 0.5rem 1rem;
    border-radius: 9999px;
    font-weight: 500;
    transition: all 0.2s;
    cursor: pointer;
}

#undoLastMove {
    cursor: pointer;
    display: inline-block;
    vertical-align: bottom;
    margin-left: 25px;
}
#undoLastMove.hidden {
    display: none;
}
#undoLastMove:hover {
    color: #fff;
    background: #571c87;
}

@keyframes pulse {
    0% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.1);
    }

    100% {
        transform: scale(1);
    }
}

#speechIndicator {
    transition: all 0.3s ease;
}

.listening {
    background-color: #3b82f6;
    color: white;
}

.rotate-315 {
    transform: rotate(315deg);
}

#gameBoard .rotate-315 {
    position: relative;
    top: 10px;
}

#startBtn[disabled]:hover {
    cursor: wait;
}

.cell {
    outline-offset: -6px;
    transition: outline-color 1s ease, box-shadow 1s ease, transform 1s ease, filter 1s ease;
}

.glow {
    animation: pulse 3s ease-in-out infinite;
}

#flag svg {
    width: 2rem;
    height: 2rem;
}

@keyframes pulse {

    0%,
    100% {
        transform: scale(1);
        filter: brightness(1);
    }

    50% {
        transform: scale(1.05);
        filter: brightness(1.2);
    }
}

@media screen and (max-width: 768px) {

    #colLabels .text-lg,
    #gameBoard .text-lg {
        font-size: 0.7rem;
    }
    
    #gameBoard .rotate-315 {
        top: 0px;
    }
    
    .gap-1 {
        gap: 0!important;
    }
}
